@charset "UTF-8";
/* entry card ================================================ */
.entry-card{position: relative;}


/* entry card .card ==================== */
.archive-area.card{display: grid;grid-template-columns: repeat(2, 1fr);gap:var(--gap-size,10px);width: var(--content-width);max-width: var(--max-content-width);margin: 1.5em auto var(--margin-section,24px);padding: 0 0;}
.archive-area.card .entry-card{display: block;margin:0;padding:0;border-radius: 8px;overflow: hidden;box-shadow: 0 1px 5px 0px var(--color-shadow);background: #fff;}
.archive-area.card .entry-card .card-thumb{width: 100%;height: auto;padding: 0;}
.archive-area.card .entry-card .card-thumb .image-ratio{padding-bottom: 56.26%;}
.archive-area.card .entry-card .card-body{width: 100%;height: auto;padding: 0.8em;}
.archive-area.card .entry-card .card-title{max-height: 3.4em;overflow: hidden;font-size:var(--font-size-l,18px);line-height: 1.2;font-weight: 700;margin: 0 auto 0.5em;padding: 0;}
.archive-area.card .card-meta{display: block;margin: 0 0 0.3em;}
.archive-area.card .entry-card .card-date{display: block;font-size:var(--font-size-ss,11px);line-height: 1;color:var(--color-base-7);}
.archive-area.card .entry-card .card-date .meta-icon{margin: 0;}
.archive-area.card .entry-card .card-term{position:absolute;top:5px;left: 5px;padding: 4px 7px;font-size: var(--font-size-ss,11px);line-height: 1;font-weight: 700;border-radius: 2px;background: var(--color-primary);color:var(--color-white);max-width: 90%;overflow: hidden;}
.archive-area.card .entry-card .card-excerpt{font-size: var(--font-size-s,13px);line-height: 1.4;color:var(--color-base-7);max-height: 4em;overflow: hidden;}

@media screen and (min-width:769px) {
	.main-area .archive-area.card{grid-template-columns: repeat(4, 1fr);width: 100%;max-width: 100%;margin: 0 auto var(--margin-section,24px);}
	.main-area.col2 .archive-area.card{grid-template-columns: repeat(3, 1fr);}
}

/* entry-card.horizontal ==================== */
.entry-card.horizontal{display: flex;justify-content: space-between;align-items: stretch;}
.entry-card.horizontal .card-thumb{width: 40%;}
.entry-card.horizontal .card-thumb>a{height: 100%;padding-bottom: 0;}
.entry-card.horizontal .card-body{width: 60%;}

/* .no-results ================================================ */
.archive-area .entry-card.no-results{
	position: relative;z-index: 0;
	display: block;width: 100%;
	margin: 2em auto;padding: 1em;
	border: 1px solid var(--color-primary);
	background: #fff;color:var(--color-primary-dark);
	box-shadow: 1px 1px 3px 1px var(--color-shadow);
}
.entry-card.no-results .card-title{
	margin: 0 0 0.3em;
	font-size: var(--font-size-l,18px);font-weight: 700;
}
.entry-card.no-results .card-excerpt{
	display: block;
	margin: 0;padding:0;
	font-size: var(--font-size,16px);font-weight: 400;
}

/* ! -------------------------------------------------------------- */
/* ! Elements */
/* ! -------------------------------------------------------------- */
/* icon-tag ==================== */
.icon-tag{
	position: absolute;top: var(--font-size) ;left: 0;
	padding: 3px 10px;
	text-align: center;font-size: calc( var(--font-size) - 0.4rem );border-radius: 2px;
	background:var(--color-primary);color: var(--black);
}

/* card-icon ==================== */
.card-icon span{background: #ddd;}

/* card-meta ==================== */


/* new-post */
.new-post.entry-card:before{
	display: block;position: absolute;left:0px;right: auto;top:0px;z-index: 1;
	width: 0;height: 0;
	content: "";
	border: solid 25px transparent;
	border-top: solid 25px red;
	border-left: solid 25px red;
}
.new-post.entry-card:after{
	display: block;position: absolute;left: 2px;top:-2px;z-index: 1;
	content: "NEW";
	font-size: 12px;line-height: 3;font-weight: 700;
	transform: rotate(-45deg);color:#fff;
}

/* ranking */
.ranking .entry-card:before{
	display: block;position: absolute;left: 0;top:0;width: 0;height: 0;z-index: 1;
	content: "";
	border: solid 25px transparent;
	border-top: solid 25px red;
	border-left: solid 25px red;
}
.ranking .entry-card:after{
	display: block;position: absolute;left: 0.5em;top:0.75em;z-index: 1;
	content: "1";
	font-size: 14px;line-height: 1;font-weight: 700;
	color: #fff;
}
.ranking .entry-card:nth-of-type(1):before{border-top-color: #ffd700;border-left-color: #ffd700;}
.ranking .entry-card:nth-of-type(2):before{border-top-color: #b0c4de;border-left-color: #b0c4de;}
.ranking .entry-card:nth-of-type(3):before{border-top-color: #d2b48c;border-left-color: #d2b48c;}
.ranking .entry-card:nth-of-type(1):after{content: "1";}
.ranking .entry-card:nth-of-type(2):after{content: "2";}
.ranking .entry-card:nth-of-type(3):after{content: "3";}
.ranking .entry-card:nth-of-type(4):after{content: "4";}
.ranking .entry-card:nth-of-type(5):after{content: "5";}

/* .entry-card icon ==================== */
/* new-post */
.entry-card.new-post .card-title:before{
	display: block;
	position: absolute;z-index: 2;
	right: 0;top:0;width: 0;height: 0;
	content: "";
	border: solid 20px transparent;
	border-top: solid 20px hsl(var(--color3),60%);
	border-right: solid 20px hsl(var(--color3),60%);
}
.entry-card.new-post .card-title:after{
	display: block;
	position: absolute;z-index: 2;
	right: 2px;top:-2px;
	content: "NEW";
	font-size: 10px;line-height: 3;font-weight: 900;
	transform: rotate(45deg);color:#fff;
}

/* Count */
.count{counter-reset: item;}
.count li{position: relative;}
.count li:before{
	position: absolute;z-index: 2;
	counter-increment: item;
	content: counter(item);
	left: 4px;top: 4px;
	font-size: 12px;line-height: 1;font-weight: 700;
	color: hsla(0,0%,100%,1.0);
}
.count li:after{
	position: absolute;z-index: 1;
	content: "";
	left: 0;top: 0;
	border: solid 15px transparent;
	border-top: solid 15px hsla(0,0%,0%,1);
	border-left: solid 15px hsla(0,0%,0%,1);
}

/* ranking */
.ranking .entry-card:before{
	display: block;
	position: absolute;z-index: 2;
	left: 0;top:0;width: 0;height: 0;
	content: "";
	border: solid 15px transparent;
	border-top: solid 15px hsl(var(--color0),80%);
	border-left: solid 15px hsl(var(--color0),80%);
}
.ranking .entry-card:after{
	display: block;
	position: absolute;z-index: 2;
	left: 3px;top:-10px;
	content: "1";
	font-size: 12px;line-height: 1;font-weight: 700;
	color: hsla(var(--color0),100%,1.0);
}
.secondary .ranking .entry-card:before{left: 6px;top:6px;}
.secondary .ranking .entry-card:after{left: 12px;top:8px;}
.ranking .entry-card:nth-of-type(1):before{border-top-color: #ffd700;border-left-color: #ffd700;}
.ranking .entry-card:nth-of-type(2):before{border-top-color: #b0c4de;border-left-color: #b0c4de;}
.ranking .entry-card:nth-of-type(3):before{border-top-color: #d2b48c;border-left-color: #d2b48c;}
.ranking .entry-card:nth-of-type(1):after{content: "1";}
.ranking .entry-card:nth-of-type(2):after{content: "2";}
.ranking .entry-card:nth-of-type(3):after{content: "3";}
.ranking .entry-card:nth-of-type(4):after{content: "4";}
.ranking .entry-card:nth-of-type(5):after{content: "5";}

/* Ribbons */
.ribbon{counter-reset: item;}
.ribbon figure{position: relative;}
.ribbon figure:before{
	position: absolute;z-index: 2;
	counter-increment: item;
	content: counter(item);
	left: 20px;top: 10px;
	font-size: 12px;line-height: 1;font-weight: 700;
	color: hsla(0,0%,100%,1.0);
}
.ribbon figure:after{
	position: absolute;z-index: 1;
	content: "";
	left: 5px;top: 0;
	width: 0;height: 40px;
	border: 18px solid #F36458;
	border-bottom: 10px solid transparent;
}

/* ! -------------------------------------------------------------- */
/* ! Navigate */
/* ! -------------------------------------------------------------- */
/* .pagination-area ================================================ */
.pagination-area{
	position: relative;display: grid;align-items:center;grid-template-rows: auto 1fr;grid-template-columns:70px 1fr 70px;
	margin: 0 auto 2em;padding: 0 0;word-wrap:break-word;word-break: break-all;text-align: center;
}

/*.paged ==================== */
.pagination-area .paged{grid-column: 2 / 3;grid-row: 1/ 2;}
.pagination-area .paged{display: block;margin: 0 0 1em;padding: 0;text-align: center;font-weight: 700;line-height: 1;}

/*nav-links ==================== */
.pagination-area .nav-links{grid-column: 2 / 3;grid-row: 2 / 3;}
.pagination-area .nav-links a{padding: 3px 8px;border: 1px solid var(--color-border);background: #fff;}
.pagination-area .nav-links a:hover{background: var(--color-primary);}
.pagination-area .nav-links .current{padding: 3px 8px;border: 1px solid var(--color-border);background: var(--color-border);color: #fff;}

/*prev-next ==================== */
.btn-prev{grid-column: 1 / 2;grid-row: 1 / 3;}
.btn-next{grid-column: 3 / 4;grid-row: 1 / 3;}
.btn-next a,.btn-prev a{display: block;font-size: var(--font-size,14px);line-height: 1.3;font-weight: 700;background: var(--color-base-2);}
.btn-next a{padding:0.5em 1.0rem 0.5em 0.5em;clip-path: polygon(0% 0%, calc( 100% - 10px ) 0%, 100% 50%, calc( 100% - 10px ) 100%, 0% 100%);}
.btn-prev a{padding:0.5em 0.5em 0.5em 1rem;clip-path: polygon(10px 0%, 100% 1%, 100% 100%, 10px 100%, 0% 50%);}
.btn-next a:hover,.btn-prev a:hover{background: var(--color-primary);color:#fff;}

/* ! ================================================*/
/* ! Block */
/* ! ================================================*/
/* ! -------------------------------------------------------------- */
/* ! Side bar */
/* ! -------------------------------------------------------------- */

